XFCE-THEME-MANAGER(1)

NAME
xfce-theme-manager - Ein Oberflächenverwalter für Xfce

ÜBERSICHT
xfce-theme-manager [Option.1] ... [Option.N]

BESCHREIBUNG
Diese man-Seite erklärt kurz die Funktion des xfce-theme-manager.
xfce-theme-manager ist eine Oberflächenverwaltung für Xfce4, die die einfache Konfiguration von Oberflächen, Rahmen, Schaltflächen, Symbolen und Mauszeigern erlaubt.

FUNKTION
Nach dem Start des xfce-theme-manager kann der Benutzer aus folgenden Optionen wählen.
[Oberfläche Zurücksetzen]
Alle Änderungen verwerfen.
[Oberfläche Speichern]
Speichern/Löschen einer Oberfläche unter einem benutzerdefinierten Namen. Zum schnellen Löschen einer benutzerdefinierten Oberfläche: STRG-Klick auf ein Vorschaubild.
[Infos]
Credits usw.
[Erweitert-Register]
[DB erneuern]
Erstellt die Datenbank neu.
[Xfce-Composite-Editor]
Startet den composite editor (sofern installiert).
Verfügbar zum Herunterladen unter:
http://keithhedger.hostingsiteforfree.com/zips/Xfce4-Composite-Editor.tar.gz
Um den Composite Editor zu starten müssen gtkdialog 0.8.x und Bash installiert sein.
[Hintergrund-Anpassung]
Helligkeit/Sättigung des Hintergrundbilds anpassen.
[Anordnung der Schaltflächen]
Position der Schaltflächen (Schließen, Maximieren, etc.) einstellen. (Manche Oberflächen ignorieren diese Einstellung)
[Position des Fenstertitels]
Die Platzierung des Fenstertitels. (Manche Oberflächen ignorieren diese Einstellung)
[Schrift-Auswahl]
Schrift der Titelzeile und von Anwendungen anpassen.
[Größe des Mauszeigers]
Größe des Mauszeigers einstellen (manche Oberflächen ignorieren diese Einstellung).
[Anzeige-Optionen]
[Zeige System-Oberflächen]
Zeigt systemweit installierte Oberflächen.
[Nur benutzerdefinierte Oberflächen anzeigen]
Zeigt nur Meta-Oberflächen, die Sie erstellt haben. Automatisch erstellte Meta-Oberflächen werden nicht gezeigt.
[Oberflächen]
Zeigt systemweit installierte Meta-Oberflächen.
[Fensterrahmen]
Zeigt systemweit installierte Xfwm4-Oberflächen.
[Steuerelemente]
Zeigt systemweit installierte Gtk-Oberflächen.
[Symbole]
Zeigt systemweit installierte Icons.
[Mauszeiger]
Zeigt systemweit installierte Mauszeiger.
[Hintergründe]
Zeigt systemweit installierte Hintergrundbilder.
Lokal installierte Oberflächen werden immer gezeigt. Ausnahme: Meta-Oberflächen, falls [Nur benutzerdefinierte Oberflächen anzeigen] ausgewählt ist.
Sie können eine benutzerdefinierte Oberfläche schnell entfernen, indem sie STRG gedrückt halten und auf das Vorschaubild klicken. Nur von Ihnen erstellte benutzerdefinierte Oberflächen können gelöscht werden. Die Oberfläche wird dabei nicht von der Festplatte gelöscht, sondern lediglich aus der Datenbank entfernt.
Um Oberflächen/Gtk-Oberflächen/Symbole/Mauszeiger/Fensterrahmen/Hintergrundbilder zu installieren, ziehen Sie die Archivdatei (Hintergrundbilder sollten nicht archiviert sein) irgendwo in das Hauptfenster. Wenn möglich, wird die Oberfläche etc. am richtigen Ort (immer lokal) installiert. Unterstützte Archiv-Typen sind: *.tgz, *.gz, *.zip, *.tar, *.bz2, unterstützte Hintergrund-Typen sind: *.jpg, *.png, *.bmp, *.gif. Alle andere Dateitypen müssen Sie von Hand installieren.
Um .zip-Dateien per Drag&Drop zu installieren, muss das Programm unzip installiert sein.
Die Vorschaubilder werden in $ {HOME}/.config/XfceThemeManager gespeichert.
Die Datenbank wird bei der Installation von Oberflächen etc. durch Drag&Drop automatisch aktualisiert. Wenn Sie oft Oberflächen/Symbole usw. hinzufügen und löschen, können Sie auch "Datenbank neu anlegen" unter "Erweitert" benutzen.
Meta-Oberflächen sind Oberflächen, die einen Gtk2- und einen xfwm4-Ordner enthalten (d.h. Fensterrahmen und Knöpfe). Wenn es eine "theme.index"-Datei gibt, die eine Symbol-Zusammenstellung festlegt (wie bei Gnome-Oberflächen), wird diese auch benutzt.

KOMMANDOZEILENOPTIONEN
-v, --version
    Zeigt nur Versionsinformationen.
-u, --update-db
    Aktualisiert die Datenbank.
-r, --build-db
    Erstellt die Datenbank neu.
-n, --nogui
    Starte ohne grafische Benutzeroberfläche (GUI).
-t, --theme=ARG
    Aktiviert die Meta-Oberfläche ARG.
-c, --controls=ARG
    Aktiviert das Steuerelement-Thema ARG.
-w, --wmborder=ARG
    Aktiviert das Fensterrahmen-Thema ARG.
-i, --icons=ARG
    Aktiviert das Symbolthema ARG.
-p, --cursors=ARG
    Aktiviert das Mauszeigerthema ARG.
-b, --backdrop=ARG
    Wählt ARG als Hintergrundbild.
-m, --monitor
    Legt den Monitor fest, für den das Hintergrundbild geändert wird ( Standard ist 0 ).
    -m kann mehrfach angegeben werden.
    Dadurch kann das Hintergrundbild für mehrere Bildschirme gleichzeitig geändert werden.
-a, --panel=ARG
    Legt fest, welches Panel verändert wird ( Standard ist 1 ).
    -a kann mehrfach angegeben werden.
    Dadurch können mehrere Panel gleichzeitig verändert werden.
-z, --panel-size=ARG
    Setzt Panel-Größe auf ARG
-y, --panel-style=ARG
    Setzt Panel-Stil auf ARG
-g, --panel-image=ARG
    Setzt den Pfad zum Panel-Hintergrundbild auf ARG
-d, --panel-alpha=ARG
    Setzt Alpha-Wert des Panels auf ARG ( Werte zwischen 0 und 100 )
-o, --panel-colour=ARG
    Setzt Farbe des Panels auf ARG.
    ARG muss aus genau sechs Hexadezimalzeichen bestehen (z. B. ff00ff).
-l, --list=ARG
    Zeigt die Einträge der Datenbank. ARG muss irgendein Zeichen aus "*Ctwcib" sein.
    'C' zeigt benutzerdefinierte Oberflächen, 't' zeigt Oberflächen, 'w' zeigt Fensterrahmen, 'c' zeigt Steuerelemente 'i' zeigt Symbole und 'b' zeigt Hintergrundbilder.
    Ist das erste Zeichen '*', werden alle Einträge gezeigt.
-?, --help
    Zeigt die Hilfe.
Die Optionen tcwipblvh? implizieren alle -n.

BEISPIELE
Eine Reihe Beispiel-Skripte für die Benutzung des Programms von der Kommandozeile liegen in /PREFIX/share/Xfce-Theme-Manager/scripts. RandomGTK
Setzt eine zufälliges Gtk-Oberfläche.
RandomWMBorder
Setzt zufällige Fensterrahmen.
RandomWallpaper
Setzt einen zufälligen Hintergrund auf allen Monitoren.
RandomAll
Setze zufällige Oberfläche, Fensterrahmen und Hintergründe.
SequentialGTK
Bei jeder Ausführung des Skripts wird die nächste Gtk-Oberfläche aus einer sortierten Liste gesetzt.
SequentialWMBorder
Bei jeder Ausführung des Skripts werden die nächsten Fensterrahmen aus einer sortierten Liste gesetzt.
SequentialWallpaper
Bei jeder Ausführung des Skripts wird das nächste Hintergrundbild aus einer sortierten Liste gesetzt.

AUTOR
Xfce-Theme-Manager wurde von Keith Hedger entwickelt.

Diese man-Seite wurde von Eduardo Echeverria <echevemaster@gmail.com> für das Fedora-Projekt erstellt (und darf von anderen weiterverwendet werden) und von Keith Hedger ergänzt. Die Übersetzungen stammen von Pablo Morales Romero <pg.morales.romero@gmail.com> (Spanisch) und Martin F. Schumann <mfs@mfs.name> (Deutsch), Michał Olber <redakcja@osworld.pl> (polski), Moatib <moatib@ymail.com> (French).